Bug 1312639 - [abrt] easytag: strlen(): easytag killed by SIGSEGV
[abrt] easytag: strlen(): easytag killed by SIGSEGV
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: easytag (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David King
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:6e244321ef5f5dd23814485a28a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-28 06:38 EST by Steve
Modified: 2016-03-02 03:22 EST (History)
2 users (show)

See Also:
Fixed In Version: easytag-2.4.2-1.fc23 easytag-2.4.2-1.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-28 13:16:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (42.00 KB, text/plain)
2016-02-28 06:38 EST, Steve
no flags Details
File: cgroup (200 bytes, text/plain)
2016-02-28 06:38 EST, Steve
no flags Details
File: core_backtrace (14.63 KB, text/plain)
2016-02-28 06:38 EST, Steve
no flags Details
File: dso_list (9.95 KB, text/plain)
2016-02-28 06:38 EST, Steve
no flags Details
File: environ (1.10 KB, text/plain)
2016-02-28 06:38 EST, Steve
no flags Details
File: exploitable (82 bytes, text/plain)
2016-02-28 06:38 EST, Steve
no flags Details
File: limits (1.29 KB, text/plain)
2016-02-28 06:38 EST, Steve
no flags Details
File: maps (49.75 KB, text/plain)
2016-02-28 06:38 EST, Steve
no flags Details
File: mountinfo (4.31 KB, text/plain)
2016-02-28 06:38 EST, Steve
no flags Details
File: namespaces (85 bytes, text/plain)
2016-02-28 06:38 EST, Steve
no flags Details
File: open_fds (742 bytes, text/plain)
2016-02-28 06:38 EST, Steve
no flags Details
File: proc_pid_status (1.03 KB, text/plain)
2016-02-28 06:38 EST, Steve
no flags Details
File: var_log_messages (482 bytes, text/plain)
2016-02-28 06:38 EST, Steve
no flags Details

  None (edit)
Description Steve 2016-02-28 06:38:17 EST
Description of problem:
Every time when easytag renames a folder, it crashes.

Version-Release number of selected component:
easytag-2.4.1-2.fc23

Additional info:
reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        
crash_function: strlen
executable:     /usr/bin/easytag
global_pid:     8455
kernel:         4.4.2-301.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            7777

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 strlen at ../sysdeps/x86_64/strlen.S:106
 #1 g_strconcat at gstrfuncs.c:580
 #2 Browser_Tree_Handle_Rename at src/browser.c:3320
 #3 Browser_Tree_Rename_Directory at src/browser.c:3267
 #4 Rename_Directory at src/browser.c:4426
 #5 et_rename_directory_on_response at src/browser.c:4814
 #10 _g_closure_invoke_va at gclosure.c:864
 #13 gtk_button_do_release at gtkbutton.c:1899
 #14 gtk_real_button_released at gtkbutton.c:2017
 #19 multipress_released_cb at gtkbutton.c:613
Comment 1 Steve 2016-02-28 06:38:23 EST
Created attachment 1131230 [details]
File: backtrace
Comment 2 Steve 2016-02-28 06:38:24 EST
Created attachment 1131231 [details]
File: cgroup
Comment 3 Steve 2016-02-28 06:38:26 EST
Created attachment 1131232 [details]
File: core_backtrace
Comment 4 Steve 2016-02-28 06:38:27 EST
Created attachment 1131233 [details]
File: dso_list
Comment 5 Steve 2016-02-28 06:38:29 EST
Created attachment 1131234 [details]
File: environ
Comment 6 Steve 2016-02-28 06:38:30 EST
Created attachment 1131235 [details]
File: exploitable
Comment 7 Steve 2016-02-28 06:38:31 EST
Created attachment 1131236 [details]
File: limits
Comment 8 Steve 2016-02-28 06:38:33 EST
Created attachment 1131237 [details]
File: maps
Comment 9 Steve 2016-02-28 06:38:34 EST
Created attachment 1131238 [details]
File: mountinfo
Comment 10 Steve 2016-02-28 06:38:36 EST
Created attachment 1131239 [details]
File: namespaces
Comment 11 Steve 2016-02-28 06:38:37 EST
Created attachment 1131240 [details]
File: open_fds
Comment 12 Steve 2016-02-28 06:38:38 EST
Created attachment 1131241 [details]
File: proc_pid_status
Comment 13 Steve 2016-02-28 06:38:39 EST
Created attachment 1131242 [details]
File: var_log_messages
Comment 14 Fedora Update System 2016-02-28 13:11:12 EST
easytag-2.4.2-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-2a764dcf9f
Comment 15 Fedora Update System 2016-02-28 13:12:24 EST
easytag-2.4.2-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-6e657428ff
Comment 16 Steve 2016-02-28 13:16:48 EST
This bug is fixed for me, closing...
Comment 17 Fedora Update System 2016-02-29 00:24:49 EST
easytag-2.4.2-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2016-03-02 03:22:48 EST
easytag-2.4.2-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.